%define _legacy_common_support 1

Name:       amide
Version:    1.0.6
Release:    %mkrel 1
Summary:    Program for viewing and analyzing medical image data sets
License:    GPLv2+
Group:      Graphics/Viewers
URL:        http://amide.sourceforge.net
# https://github.com/ferdymercury/amide/tags
Source0:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
#upstream fixes 
# https://github.com/ferdymercury/amide/pull/23
Patch100:   amide-1.0.6-fix-ffmpeg5.patch

Requires:   dcmtk >= 3.6.0
Requires:   gtk2 >= 2.16
Requires:   gnome-vfs2
Requires:   gsl-progs



BuildRequires:  libxmedcon-devel
BuildRequires:  libvolpack-devel 
# BuildRequires:  libxml2-devel 
BuildRequires:   pkgconfig(gnome-doc-utils)
BuildRequires:   pkgconfig(libgnomecanvas-2.0)
BuildRequires:   pkgconfig(gconf-2.0)
BuildRequires:   pkgconfig(gnome-vfs-2.0)
BuildRequires:   pkgconfig(gsl)
BuildRequires:   dcmtk-devel
BuildRequires:   intltool
BuildRequires:   ffmpeg-devel >= 0.4.9

%description 

AMIDE is a tool for viewing and analyzing medical image data sets.
It's capabilities include the simultaneous handling of multiple data
sets imported from a variety of file formats, image fusion, 3D region
of interest drawing and analysis, volume rendering, and rigid body
alignments.


%prep
%autosetup -p1
mv amide-current/* .

%build

intltoolize
libtoolize
gtkdocize
gnome-doc-prepare
autoreconf --verbose -f -i
%configure \
	   --enable-libecat=no \
	   --enable-vistaio=no \
	   --enable-ffmpeg=yes \
	   --enable-amide-debug=no \
	   --disable-scrollkeeper \
	   --disable-doc
sed -i -e 's|if isinf(incremental_mi)|if(isinf(incremental_mi))|' ./src/alignment_mutual_information.c
sed -i -e 's|gsl_multifit_covar (solver->J|gsl_multifit_covar (solver|g' \
    ./src/tb_profile.c
sed -i -e 's|avcodec_alloc_frame|av_frame_alloc|' \
    ./src/mpeg_encode.c
    
%make_build -j1

%install
%make_install -j1

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications                         \
  --add-category X-Red-Hat-Extra                                        \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%post
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README todo
%{_bindir}/*
%{_datadir}/pixmaps
%{_datadir}/applications
%{_datadir}/locale
%{_mandir}/*

